Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.eclipse.amp.amf.adata
Enum ScaleType

    java.lang.Object
      java.lang.Enum<ScaleType>
          org.eclipse.amp.amf.adata.ScaleType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ScaleType>, org.eclipse.emf.common.util.Enumerator

    public enum ScaleType

extends java.lang.Enum<ScaleType>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Scale Type', and utility methods for working with them.

See Also:
  `DataPackage.getScaleType()`

Enum Constant Summary
`AVERAGE` The 'Average' literal object.
`COUNT` The 'Count' literal object.
`CUSTOM` The 'Custom' literal object.
`INDIVIDUAL` The 'Individual' literal object.
`MAXIMUM` The 'Maximum' literal object.
`MINIMUM` The 'Minimum' literal object.
`STANDARD_DEVIATION` The 'Standard Deviation' literal object.
`SUM` The 'Sum' literal object.
`VARIANCE` The 'Variance' literal object.

Field Summary
`static int` | `AVERAGE_VALUE` The 'Average' literal value.
`static int` | `COUNT_VALUE` The 'Count' literal value.
`static int` | `CUSTOM_VALUE` The 'Custom' literal value.
`static int` | `INDIVIDUAL_VALUE` The 'Individual' literal value.
`static int` | `MAXIMUM_VALUE` The 'Maximum' literal value.
`static int` | `MINIMUM_VALUE` The 'Minimum' literal value.
`static int` | `STANDARD_DEVIATION_VALUE` The 'Standard Deviation' literal value.
`static int` | `SUM_VALUE` The 'Sum' literal value.
`static java.util.List<ScaleType>` | `VALUES` A public read-only list of all the 'Scale Type' enumerators.
`static int` | `VARIANCE_VALUE` The 'Variance' literal value.

Method Summary
`static ScaleType` | `get(int value)` Returns the 'Scale Type' literal with the specified integer value.
`static ScaleType` | `get(java.lang.String literal)` Returns the 'Scale Type' literal with the specified literal value.
`static ScaleType` | `getByName(java.lang.String name)` Returns the 'Scale Type' literal with the specified name.
`java.lang.String` | `getLiteral()`
`java.lang.String` | `getName()`
`int` | `getValue()`
`java.lang.String` | `toString()` Returns the literal value of the enumerator, which is its string representation.
`static ScaleType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ScaleType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INDIVIDUAL

    public static final ScaleType INDIVIDUAL

  The 'Individual' literal object.

  See Also:
    `INDIVIDUAL_VALUE`

### COUNT

    public static final ScaleType COUNT

  The 'Count' literal object.

  See Also:
    `COUNT_VALUE`

### SUM

    public static final ScaleType SUM

  The 'Sum' literal object.

  See Also:
    `SUM_VALUE`

### AVERAGE

    public static final ScaleType AVERAGE

  The 'Average' literal object.

  See Also:
    `AVERAGE_VALUE`

### MINIMUM

    public static final ScaleType MINIMUM

  The 'Minimum' literal object.

  See Also:
    `MINIMUM_VALUE`

### MAXIMUM

    public static final ScaleType MAXIMUM

  The 'Maximum' literal object.

  See Also:
    `MAXIMUM_VALUE`

### STANDARD_DEVIATION

    public static final ScaleType STANDARD_DEVIATION

  The 'Standard Deviation' literal object.

  See Also:
    `STANDARD_DEVIATION_VALUE`

### VARIANCE

    public static final ScaleType VARIANCE

  The 'Variance' literal object.

  See Also:
    `VARIANCE_VALUE`

### CUSTOM

    public static final ScaleType CUSTOM

  The 'Custom' literal object.

  See Also:
    `CUSTOM_VALUE`

Field Detail

### INDIVIDUAL_VALUE

    public static final int INDIVIDUAL_VALUE

  The 'Individual' literal value.

  If the meaning of 'Individual' literal object isn't clear, there really should be more of a description here...

  See Also:
    `INDIVIDUAL`, Constant Field Values

### COUNT_VALUE

    public static final int COUNT_VALUE

  The 'Count' literal value.

  If the meaning of 'Count' literal object isn't clear, there really should be more of a description here...

  See Also:
    `COUNT`, Constant Field Values

### SUM_VALUE

    public static final int SUM_VALUE

  The 'Sum' literal value.

  If the meaning of 'Sum' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SUM`, Constant Field Values

### AVERAGE_VALUE

    public static final int AVERAGE_VALUE

  The 'Average' literal value.

  If the meaning of 'Average' literal object isn't clear, there really should be more of a description here...

  See Also:
    `AVERAGE`, Constant Field Values

### MINIMUM_VALUE

    public static final int MINIMUM_VALUE

  The 'Minimum' literal value.

  If the meaning of 'Minimum' literal object isn't clear, there really should be more of a description here...

  See Also:
    `MINIMUM`, Constant Field Values

### MAXIMUM_VALUE

    public static final int MAXIMUM_VALUE

  The 'Maximum' literal value.

  If the meaning of 'Maximum' literal object isn't clear, there really should be more of a description here...

  See Also:
    `MAXIMUM`, Constant Field Values

### STANDARD_DEVIATION_VALUE

    public static final int STANDARD_DEVIATION_VALUE

  The 'Standard Deviation' literal value.

  If the meaning of 'Standard Deviation' literal object isn't clear, there really should be more of a description here...

  See Also:
    `STANDARD_DEVIATION`, Constant Field Values

### VARIANCE_VALUE

    public static final int VARIANCE_VALUE

  The 'Variance' literal value.

  If the meaning of 'Variance' literal object isn't clear, there really should be more of a description here...

  See Also:
    `VARIANCE`, Constant Field Values

### CUSTOM_VALUE

    public static final int CUSTOM_VALUE

  The 'Custom' literal value.

  If the meaning of 'Custom' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CUSTOM`, Constant Field Values

### VALUES

    public static final java.util.List<ScaleType> VALUES

  A public read-only list of all the 'Scale Type' enumerators.

Method Detail

### values

    public static ScaleType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ScaleType c : ScaleType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ScaleType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### get

    public static ScaleType get(java.lang.String literal)

  Returns the 'Scale Type' literal with the specified literal value.

### getByName

    public static ScaleType getByName(java.lang.String name)

  Returns the 'Scale Type' literal with the specified name.

### get

    public static ScaleType get(int value)

  Returns the 'Scale Type' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<ScaleType>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD